Permalink
Browse files

Replaced jeweler with bundler-gemspec combo

  • Loading branch information...
1 parent 3796dbe commit 7b3af8759e4d5bf9cc26c05917128386b09c8404 @mloughran mloughran committed Nov 22, 2010
Showing with 29 additions and 98 deletions.
  1. +3 −0 Gemfile
  2. +3 −25 Rakefile
  3. +18 −72 em-websocket.gemspec
  4. +0 −1 lib/em-websocket.rb
  5. +5 −0 lib/em-websocket/version.rb
View
@@ -0,0 +1,3 @@
+source "http://rubygems.org"
+
+gemspec
View
@@ -1,31 +1,9 @@
-require 'rake'
-require 'spec/rake/spectask'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gemspec|
- gemspec.name = "em-websocket"
- gemspec.summary = "EventMachine based WebSocket server"
- gemspec.description = gemspec.summary
- gemspec.email = "ilya@igvita.com"
- gemspec.homepage = "http://github.com/igrigorik/em-websocket"
- gemspec.authors = ["Ilya Grigorik"]
- gemspec.add_dependency("eventmachine", ">= 0.12.9")
- gemspec.add_dependency("addressable", '>= 2.1.1')
- gemspec.add_development_dependency('em-http-request', '>= 0.2.6')
- gemspec.rubyforge_project = "em-websocket"
- end
-
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler not available. Install it with: sudo gem install jeweler -s http://gemcutter.org"
-end
+require 'bundler'
+Bundler::GemHelper.install_tasks
-task :default => :spec
+require 'spec/rake/spectask'
Spec::Rake::SpecTask.new do |t|
t.ruby_opts = ['-rtest/unit']
t.spec_files = FileList['spec/**/*_spec.rb']
end
-
-
View
@@ -1,79 +1,25 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
# -*- encoding: utf-8 -*-
+$:.push File.expand_path("../lib", __FILE__)
+require "em-websocket/version"
Gem::Specification.new do |s|
- s.name = %q{em-websocket}
- s.version = "0.1.4"
-
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Ilya Grigorik"]
- s.date = %q{2010-08-23}
+ s.name = "em-websocket"
+ s.version = EventMachine::Websocket::VERSION
+ s.platform = Gem::Platform::RUBY
+ s.authors = ["Ilya Grigorik"]
+ s.email = ["ilya@igvita.com"]
+ s.homepage = "http://github.com/igrigorik/em-websocket"
+ s.summary = %q{EventMachine based WebSocket server}
s.description = %q{EventMachine based WebSocket server}
- s.email = %q{ilya@igvita.com}
- s.extra_rdoc_files = [
- "README.rdoc"
- ]
- s.files = [
- ".gitignore",
- "CHANGELOG.rdoc",
- "README.rdoc",
- "Rakefile",
- "VERSION",
- "em-websocket.gemspec",
- "examples/echo.rb",
- "examples/js/FABridge.js",
- "examples/js/WebSocketMain.swf",
- "examples/js/swfobject.js",
- "examples/js/web_socket.js",
- "examples/multicast.rb",
- "examples/test.html",
- "lib/em-websocket.rb",
- "lib/em-websocket/connection.rb",
- "lib/em-websocket/debugger.rb",
- "lib/em-websocket/handler.rb",
- "lib/em-websocket/handler75.rb",
- "lib/em-websocket/handler76.rb",
- "lib/em-websocket/handler_factory.rb",
- "lib/em-websocket/websocket.rb",
- "spec/helper.rb",
- "spec/integration/integration_spec.rb",
- "spec/unit/handler_spec.rb",
- "spec/websocket_spec.rb"
- ]
- s.homepage = %q{http://github.com/igrigorik/em-websocket}
- s.rdoc_options = ["--charset=UTF-8"]
- s.require_paths = ["lib"]
- s.rubyforge_project = %q{em-websocket}
- s.rubygems_version = %q{1.3.6}
- s.summary = %q{EventMachine based WebSocket server}
- s.test_files = [
- "spec/helper.rb",
- "spec/integration/integration_spec.rb",
- "spec/unit/handler_spec.rb",
- "spec/websocket_spec.rb",
- "examples/echo.rb",
- "examples/multicast.rb"
- ]
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.rubyforge_project = "em-websocket"
- if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<eventmachine>, [">= 0.12.9"])
- s.add_runtime_dependency(%q<addressable>, [">= 2.1.1"])
- s.add_development_dependency(%q<em-http-request>, [">= 0.2.6"])
- else
- s.add_dependency(%q<eventmachine>, [">= 0.12.9"])
- s.add_dependency(%q<addressable>, [">= 2.1.1"])
- s.add_dependency(%q<em-http-request>, [">= 0.2.6"])
- end
- else
- s.add_dependency(%q<eventmachine>, [">= 0.12.9"])
- s.add_dependency(%q<addressable>, [">= 2.1.1"])
- s.add_dependency(%q<em-http-request>, [">= 0.2.6"])
- end
-end
+ s.files = `git ls-files`.split("\n")
+ s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
+ s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
+ s.require_paths = ["lib"]
+ s.add_dependency("eventmachine", ">= 0.12.9")
+ s.add_dependency("addressable", '>= 2.1.1')
+ s.add_development_dependency('em-http-request', '>= 0.2.6')
+end
View
@@ -1,6 +1,5 @@
$:.unshift(File.dirname(__FILE__) + '/../lib')
-#require "rubygems"
require "eventmachine"
%w[
@@ -0,0 +1,5 @@
+module EventMachine
+ module Websocket
+ VERSION = "0.1.4"
+ end
+end

0 comments on commit 7b3af87

Please sign in to comment.